Bug 13679 - crash after using graphics in Rcmdr
Summary: crash after using graphics in Rcmdr
Status: ASSIGNED
Alias: None
Product: R
Classification: Unclassified
Component: Mac GUI / Mac specific (show other bugs)
Version: old
Hardware: All Mac OS X v10.5
: P5 normal
Assignee: Simon Urbanek
URL:
Depends on:
Blocks:
 
Reported: 2009-04-28 22:19 UTC by Jitterbug compatibility account
Modified: 2010-04-12 06:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jitterbug compatibility account 2009-04-28 22:19:45 UTC
From: nhepburn@ualberta.ca
Full_Name: Neil Hepburn
Version: 2.81 and 2.90
OS: OS-X 10.5.6
Submission from: (NULL) (142.244.28.93)


When I create graphs using Rcmdr and then close the quartz display, R blows up
and tells me of a segmentation fault. It then gives me
 *** caught segfault ***
address 0xc0000023, cause 'memory not mapped'

Possible actions:
1: abort (with core dump, if enabled)
2: normal R exit
3: exit R without saving workspace
4: exit R saving workspace
> 
Selection: 

This only happens if I create the graphics from within Rcmdr. If I create the
graphics manually, there is no problem. This occurs on my laptop with R 2.8.1 (I
uninstalled 2.9 and reinstall 2.8.1 to see if the problem existed there) and
also on my iMac with R2.9.

Comment 1 Jitterbug compatibility account 2009-04-30 18:29:33 UTC
From: "John Fox" <jfox@mcmaster.ca>
Dear Neil,

I had R 2.8.0 installed on my Mac Book, also with OS X 10.5.6, and was
unable to duplicate this problem. I then installed R 2.9.0 and observed the
same problem that you did. In both cases, I used the latest version of the
Rcmdr package, 1.4-10. 

I also observed the following: (1) The problem occurred only if I closed the
Quartz graphics device after the first graph was plotted; if I plotted
another graph and then closed the device, the problem did not occur. (2) The
problem did not occur if I ran R from a terminal with an X11 graphics device
rather than using R.app.

I'm afraid that there's not much more that I can do at this point, since my
familiarity with Macs is minimal. I'm copying this message to Rob Goedman,
who has proven helpful in the past. Of course, if there's something in the
Rcmdr that's causing the problem and I can fix it, I will.

Regards,
 John


> -----Original Message-----
> From: r-devel-bounces@r-project.org [mailto:r-devel-bounces@r-project.org]
On
> Behalf Of nhepburn@ualberta.ca
> Sent: April-28-09 1:25 PM
> To: r-devel@stat.math.ethz.ch
> Cc: R-bugs@r-project.org
> Subject: [Rd] crash after using graphics in Rcmdr (PR#13679)
> 
> Full_Name: Neil Hepburn
> Version: 2.81 and 2.90
> OS: OS-X 10.5.6
> Submission from: (NULL) (142.244.28.93)
> 
> 
> When I create graphs using Rcmdr and then close the quartz display, R
blows
> up
> and tells me of a segmentation fault. It then gives me
>  *** caught segfault ***
> address 0xc0000023, cause 'memory not mapped'
> 
> Possible actions:
> 1: abort (with core dump, if enabled)
> 2: normal R exit
> 3: exit R without saving workspace
> 4: exit R saving workspace
> >
> Selection:
> 
> This only happens if I create the graphics from within Rcmdr. If I create
the
> graphics manually, there is no problem. This occurs on my laptop with R
2.8.1
> (I
> uninstalled 2.9 and reinstall 2.8.1 to see if the problem existed there)
and
> also on my iMac with R2.9.
> 
> ______________________________________________
> R-devel@r-project.org mailing list
> https://stat.ethz.ch/mailman/listinfo/r-devel

Comment 2 Jitterbug compatibility account 2009-05-01 20:01:19 UTC
From: Rob Goedman <robjgoedman@me.com>
John,

To the best of my knowledge this problem in R.app has been around at  
least since the R-2.8 days, but likely much longer. I never use R from  
a Terminal, so don't know if it occurs or not outside R.app.

It's not related to Rcmdr and you're observation is indeed one of the  
better ways to kind of reproduce the issue. Not sure if it always does  
though. If you have a 'hard' way of crashing R.app, please let me know  
the sequence. In cases when no output is written to the console of  
R.app I tend to make sure I enter an empty line before closing the  
graphics window.

This issue and sometimes very long sequences of plots (never have been  
able to make that reproducible, sometimes the crash happens up to a  
minute after R finishes a series of plots and I'm working in an  
external editor like TextMate) are hard to pin down.

Regards,
Rob

Note: Hope you don't mind I've removed the R-bugs & R-devel Cc's.

On Apr 30, 2009, at 6:29 AM, John Fox wrote:

> Dear Neil,
>
> I had R 2.8.0 installed on my Mac Book, also with OS X 10.5.6, and was
> unable to duplicate this problem. I then installed R 2.9.0 and  
> observed the
> same problem that you did. In both cases, I used the latest version  
> of the
> Rcmdr package, 1.4-10.
>
> I also observed the following: (1) The problem occurred only if I  
> closed the
> Quartz graphics device after the first graph was plotted; if I plotted
> another graph and then closed the device, the problem did not occur.  
> (2) The
> problem did not occur if I ran R from a terminal with an X11  
> graphics device
> rather than using R.app.
>
> I'm afraid that there's not much more that I can do at this point,  
> since my
> familiarity with Macs is minimal. I'm copying this message to Rob  
> Goedman,
> who has proven helpful in the past. Of course, if there's something  
> in the
> Rcmdr that's causing the problem and I can fix it, I will.
>
> Regards,
> John
>
>
>> -----Original Message-----
>> From: r-devel-bounces@r-project.org [mailto:r-devel-bounces@r-project.org 
>> ]
> On
>> Behalf Of nhepburn@ualberta.ca
>> Sent: April-28-09 1:25 PM
>> To: r-devel@stat.math.ethz.ch
>> Cc: R-bugs@r-project.org
>> Subject: [Rd] crash after using graphics in Rcmdr (PR#13679)
>>
>> Full_Name: Neil Hepburn
>> Version: 2.81 and 2.90
>> OS: OS-X 10.5.6
>> Submission from: (NULL) (142.244.28.93)
>>
>>
>> When I create graphs using Rcmdr and then close the quartz display, R
> blows
>> up
>> and tells me of a segmentation fault. It then gives me
>> *** caught segfault ***
>> address 0xc0000023, cause 'memory not mapped'
>>
>> Possible actions:
>> 1: abort (with core dump, if enabled)
>> 2: normal R exit
>> 3: exit R without saving workspace
>> 4: exit R saving workspace
>>>
>> Selection:
>>
>> This only happens if I create the graphics from within Rcmdr. If I  
>> create
> the
>> graphics manually, there is no problem. This occurs on my laptop  
>> with R
> 2.8.1
>> (I
>> uninstalled 2.9 and reinstall 2.8.1 to see if the problem existed  
>> there)
> and
>> also on my iMac with R2.9.
>>
>> ______________________________________________
>> R-devel@r-project.org mailing list
>> https://stat.ethz.ch/mailman/listinfo/r-devel


	[[alternative HTML version deleted]]

Comment 3 Jitterbug compatibility account 2009-05-12 12:24:00 UTC
NOTES:
 Really about R.app: followed up on R-sig-mac
Comment 4 Jitterbug compatibility account 2009-05-12 12:24:29 UTC
Audit (from Jitterbug):
Tue May 12 07:24:29 2009	ripley	changed notes
Tue May 12 07:24:29 2009	ripley	moved from incoming to Macintosh